Intel ships update for newest Spectre-affected chips


Intel has announced that the fix is out for its latest chips affected by Spectre, the memory-leakage flaw affecting practically all computing hardware. The patch is for the Skylake generation (late 2015) and newer, though most users will still have to wait for the code to be implemented by whoever manufactured their computer (specifically, their motherboard).

The various problems presented in January by security researchers have to be addressed by a mix of fixes at the application, OS, kernel, and microarchitecture level. This patch is the latter, and it replaces an earlier one that was found to be unstable.

These aren’t superficial tweaks and they’re being made under pressure, so some hiccups are to be expected — but Intel is also a huge company that has had months of warning to get this right, so people may be frustrated by the less-than-optimal way the flaws have been addressed.

As before, there isn’t much you as a user can do except make sure that you are checking frequently to make sure your PC and applications are up to date — in addition, of course, to not running any strange code.

If you’re on an older chipset, like Sandy Bridge, you’ll have to wait a bit longer — your fix is still in beta. You don’t want to be their test machine.

Featured Image: Alice Bevan–McGregor/Flickr UNDER A CC BY 2.0 LICENSE

Source link

Related Post

Leave a Reply

Your email address will not be published. Required fields are marked *